%global __brp_check_rpaths %{nil}
%global packname  hpcwld
%global packver   0.6-5
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.6.5
Release:          1%{?dist}%{?buildtag}
Summary:          High Performance Cluster Models Based on Kiefer-Wolfowitz Recursion

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch

%description
Probabilistic models describing the behavior of workload and queue on a
High Performance Cluster and computing GRID under FIFO service discipline
basing on modified Kiefer-Wolfowitz recursion. Also sample data for
inter-arrival times, service times, number of cores per task and waiting
times of HPC of Karelian Research Centre are included, measurements took
place from 06/03/2009 to 02/30/2011. Functions provided to import/export
workload traces in Standard Workload Format (swf). Stability condition of
the model may be verified either exactly, or approximately. Stability
analysis: see Rumyantsev and Morozov (2017)
<doi:10.1007/s10479-015-1917-2>, workload recursion: see Rumyantsev (2014)
<doi:10.1109/PDCAT.2014.36>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
